﻿Imports System.Collections.ObjectModel
Imports Infragistics.Windows.DataPresenter
Imports Infragistics.Windows.Reporting

Class MainWindow

    Private _sourceData As New ObservableCollection(Of RowData)
    Public ReadOnly Property SourceData As ObservableCollection(Of RowData)
        Get
            Return Me._sourceData
        End Get
    End Property



    Private Sub MainWindow_Loaded(sender As Object, e As RoutedEventArgs) Handles Me.Loaded
        Me.SourceData.Add(New RowData("Name One", "Item 1, Item 2, Item 3"))
        Me.SourceData.Add(New RowData("Name Two", "Item 4, Item 5, Item 6"))

        Me.TestGrid.FieldSettings.CellClickAction = CellClickAction.SelectRecord
        Me.TestGrid.FieldSettings.AllowEdit = False
        Me.TestGrid.FieldLayoutSettings.AutoGenerateFields = False

        Me.TestGrid.DataSource = Me.SourceData
    End Sub

    Private Sub Print_Click(sender As Object, e As RoutedEventArgs) Handles Print.Click
        Dim report As New Report

        Dim section As New EmbeddedVisualReportSection(Me.TestGrid)
        report.Sections.Add(section)

        Dim dialog As New PrintPreviewDialog(report)
        dialog.Owner = Me
        dialog.ShowDialog()
    End Sub
End Class
